Couldn't load plugin 'processing'

2019-02-28 04:58 AM - Mike Fedak

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.6.0 Regression?: No

Operating System: Ubuntu Bionic Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 29232

Description

Running on bionic

Couldn't load plugin 'processing'

ImportError: /usr/lib/python3/dist-packages/osgeo/_gdal.cpython-36m-x86_64-linux-gnu.so: undefined symbol: VSICloseDir 

Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 309, in loadPlugin

import(packageName)

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/_init__.py", line 28, in 

    from processing.tools.dataobjects import *          # NOQA

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 51, in 

    from processing.algs.gdal.GdalUtils import GdalUtils

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalUtils.py", line 38, in 

    from osgeo import ogr

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/lib/python3/dist-packages/osgeo/_init__.py", line 21, in 

gdal = swig_import_helper()

  File "/usr/lib/python3/dist-packages/osgeo/_init__.py", line 17, in swig_import_helper

    _mod = imp.load_module('_gdal', fp, pathname, description)

  File "/usr/lib/python3.6/imp.py", line 243, in load_module

    return load_dynamic(name, filename, file)

  File "/usr/lib/python3.6/imp.py", line 343, in load_dynamic

    return _load(spec)

ImportError: /usr/lib/python3/dist-packages/osgeo/_gdal.cpython-36m-x86_64-linux-gnu.so: undefined symbol: VSICloseDir

Python version: 3.6.7 (default, Oct 22 2018, 11:32:17) [GCC 8.2.0] 

QGIS version: 3.6.0-Noosa Noosa, 5873452

Python Path:

/usr/share/qgis/python

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python/plugins
/usr/share/qgis/python/plugins

/usr/lib/python36.zip

/usr/lib/python3.6

/usr/lib/python3.6/lib-dynload

/home/mike/.local/lib/python3.6/site-packages

/usr/local/lib/python3.6/dist-packages

/usr/lib/python3/dist-packages

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python/plugins/geoserverexplorer/extlibs

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python/plugins/geoserverexplorer/extlibs/python_dateutil-2.7.3-py2.7.egg

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python/plugins/geoserverexplorer/extlibs/six-1.11.0-py2.7.egg

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python/plugins/geoserverexplorer/extlibs/requests-2.5.0-py2.7.egg

/home/mike/.local/share/QGIS/QGIS3/profiles/default/python/plugins/geoserverexplorer/extlibs/qgiscommons-2.0.9-py2.7.egg

History

#1 - 2019-02-28 08:29 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Closed

Looks like a bug in the distros osgeo python library - not qgis related.

#2 - 2019-03-29 11:00 PM - Christian Hildmann

I got this error message, too (QGIS 3.6, Ubuntu 18.04). The error was evoked by a installed GDAL-version (2.3.2), which was not identical with the

GDAL-version QGIS was compiled with (2.4.0). After compiling GDAL 2.4.0 QGIS started again without this error message.
